Bug 1308273 - Editorial problem with builtins(1) manpage (Doc Only)
Editorial problem with builtins(1) manpage (Doc Only)
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
26
All Linux
low Severity low
: ---
: ---
Assigned To: Siteshwar Vashisht
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 18:30 EST by Noel McLoughlin
Modified: 2017-07-26 11:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1303108
: 1308274 (view as bug list)
Environment:
$ cat /etc/fedora-release Fedora release 24 (Rawhide) bash-4.3.42-4.fc24.x86_64 /usr/share/man/man1/bash.1.gz /usr/share/man/man1/builtins.1.gz
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noel McLoughlin 2016-02-13 18:30:02 EST
Description of problem:

The builtins(1) man page consistently references sections which cannot be found in same builtins(1). This is confusing since builtins are key features of bash, one of the primary interface to Linux OS for power users.

REPLICATING ISSUE

1. Open builtins man page

$ man builtins

2. Find instances of following text.

(see Arrays above)
(see ARITHMETIC EVALUATION above)
(see READLINE above)
(see  SHELL GRAMMAR above) *2
(see COMMAND EXECUTION ENVIRONMENT above)
(see JOB CONTROL above) *
(see  Shell  Variables above)
(see Brace Expansion above)
(see Pattern Matching above)
(see Completing under READLINE above)
(see COMMENTS above)
(see INVOCATION above)
(see Pathname Expansion above)
(see Programmable Completion above) 

3. Note referenced section do not exist in builtins(1).



WORKAROUND

1. Open bash man page.
$ man bash

2. Note referenced section exist in bash(1).

Arrays
ARITHMETIC EVALUATION
READLINE
SHELL GRAMMAR
COMMAND EXECUTION ENVIRONMENT
JOB CONTROL
Shell  Variables
Brace Expansion
Pattern Matching
Completing under READLINE
COMMENTS
INVOCATION
Pathname Expansion
Programmable Completion
Comment 1 Jan Kurik 2016-02-24 10:44:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-05-10 09:19:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2017-07-25 16:09:56 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.